This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 128783 - mendex.1.gz is japanese manpage, but not installed ja/man1 directory
mendex.1.gz is japanese manpage, but not installed ja/man1 directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-29 11:29 EDT by Hisaya FUKUMOTO
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.2-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 07:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hisaya FUKUMOTO 2004-07-29 11:29:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.6) Gecko/20040627

Description of problem:
'mendex.1.gz' is japanese manpage, but not installed ja/man1 directory.
And it's file encoded EUC-JP charset (need to convert UTF-8 charset).


Version-Release number of selected component (if applicable):
tetex-2.0.2-13

How reproducible:
Always

Steps to Reproduce:
1.export LANG=ja_JP.UTF-8
2.man 1 mendex
3.mv /usr/share/man/man1/mendex.1.gz /usr/share/man/ja/man1
4.export LANG=ja_JP.UTF-8
5.man 1 mendex

Actual Results:  displayed unreadable characters.

Expected Results:
iconv -f euc-jp -t utf-8 mendex.1 -o mendex.1.utf8
install mendex.1.utf8 to /usr/share/man/ja/man1


Additional info:
Comment 1 Hisaya FUKUMOTO 2004-07-29 11:35:10 EDT
Reproduce step 1 is mistake.
'export LANG=en_US.UTF-8' is correct.
Comment 2 Tim Waugh 2004-07-29 13:34:52 EDT
Thanks.  Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.